Package javax.help

# Class BadIDException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
javax.help.BadIDException

All Implemented Interfaces:
  `Serializable`

public class BadIDException extends IllegalArgumentException
An ID was attempted to be created with incorrect arguments

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BadIDException(String msg, Map map, String id, HelpSet hs)`
Create the exception.

## Method Summary

Modifier and Type
Method
Description
`HelpSet`
`getHelpSet()`
The HelpSet that wasn't found in the Map
`String`
`getID()`
The ID that wasn't found in the Map
`Map`
`getMap()`
The HelpSet in which the ID wasn't found

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BadIDException

public BadIDException(String msg, Map map, String id, HelpSet hs)
Create the exception. Null values are allowed for each parameter.

Parameters:
  `msg` - A generic message
  `map` - The Map in which the ID wasn't found
  `id` - The ID in Map that wasn't found
See Also:
  - `Map`

## Method Details

### getMap

public Map getMap()
The HelpSet in which the ID wasn't found

### getID

public String getID()
The ID that wasn't found in the Map

### getHelpSet

public HelpSet getHelpSet()
The HelpSet that wasn't found in the Map